# Visualization Library

A lightweight C++ OpenGL middleware for 2D/3D graphics

[Home] [Tutorials] [All Classes] [Grouped Classes]

Public Member Functions

# vl::RenderQueueSorter Class Reference

The RenderQueueSorter class is the abstract base class of all the algorithms used to sort a set of RenderToken. More...

`#include <RenderQueueSorter.hpp>`

Inheritance diagram for vl::RenderQueueSorter:

List of all members.

## Public Member Functions

virtual const char * | className ()
| Returns the name of the class.
| RenderQueueSorter ()
virtual bool | operator() (const RenderToken *a, const RenderToken *b) const =0
virtual bool | confirmZCameraDistanceNeed (const RenderToken *) const =0
virtual bool | mightNeedZCameraDistance () const =0

## Detailed Description

The RenderQueueSorter class is the abstract base class of all the algorithms used to sort a set of RenderToken.

Definition at line 45 of file RenderQueueSorter.hpp.

## Constructor & Destructor Documentation

vl::RenderQueueSorter::RenderQueueSorter | ( | ) | `[inline]`

Definition at line 49 of file RenderQueueSorter.hpp.

References VL_DEBUG_SET_OBJECT_NAME.

## Member Function Documentation

virtual const char* vl::RenderQueueSorter::className | ( | ) | `[inline, virtual]`

Returns the name of the class.

Reimplemented from vl::Object.

Reimplemented in vl::RenderQueueSorterByShader, vl::RenderQueueSorterByRenderable, vl::RenderQueueSorterBasic, vl::RenderQueueSorterStandard, vl::RenderQueueSorterOcclusion, and vl::RenderQueueSorterAggressive.

Definition at line 48 of file RenderQueueSorter.hpp.

virtual bool vl::RenderQueueSorter::operator() | ( | const RenderToken * | a,
|  | const RenderToken * | b
| ) |  | const`[pure virtual]`

Implemented in vl::RenderQueueSorterByShader, vl::RenderQueueSorterByRenderable, vl::RenderQueueSorterBasic, vl::RenderQueueSorterStandard, vl::RenderQueueSorterOcclusion, and vl::RenderQueueSorterAggressive.

virtual bool vl::RenderQueueSorter::confirmZCameraDistanceNeed | ( | const RenderToken * | ) | const`[pure virtual]`

Implemented in vl::RenderQueueSorterByShader, vl::RenderQueueSorterByRenderable, vl::RenderQueueSorterBasic, vl::RenderQueueSorterStandard, vl::RenderQueueSorterOcclusion, and vl::RenderQueueSorterAggressive.

Referenced by vl::RenderQueue::sort().

virtual bool vl::RenderQueueSorter::mightNeedZCameraDistance | ( | ) | const`[pure virtual]`

Implemented in vl::RenderQueueSorterByShader, vl::RenderQueueSorterByRenderable, vl::RenderQueueSorterStandard, vl::RenderQueueSorterOcclusion, and vl::RenderQueueSorterAggressive.

Referenced by vl::RenderQueue::sort().

The documentation for this class was generated from the following file:

- D:/VL/BuildSystem/VL_DISTRO/Visualization_Library_SDK/src/vlGraphics/RenderQueueSorter.hpp

Visualization Library v2011.05.1142 Reference Documentation
Copyright 2005-2011 Michele Bosi. All rights reserved.
Updated on Thu May 26 2011 22:51:44.
Permission is granted to use this page to write and publish articles regarding Visualization Library.